# PhasicFlow: src/phasicFlow/containers/Field/Field.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

Field.hpp File Reference
Include dependency graph for Field.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Field< T, MemorySpace >

## Namespaces

| pFlow

## Functions

template<class T , class MemorySpace >
iIstream & | operator>> (iIstream &is, Field< T, MemorySpace > &ifld)
template<typename T , typename MemorySpace >
iOstream & | operator<< (iOstream &os, const Field< T, MemorySpace > &ofld)